AnimeCentral/urls.py
from django.conf import settings
from django.conf.urls import include
from django.conf.urls.static import static
from django.contrib import admin
from django.urls import path

urlpatterns = [
    path('',include('front_end.urls')),
    path('api/',include('animedata.urls')),
    path('api/',include('reviews.urls')),
    path('admin/', admin.site.urls),
    path('blog/', include('blog.urls')),
]+ static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)

blog/urls.py
from django.urls import path

from . import views

app_name = 'blog'

urlpatterns = [
    path('', views.post_list, name='post_list'),
    path('post/<int:pk>/', views.post_detail, name='post_detail'),
    path('post/new', views.post_new, name='post_new'),
    path('post/<int:pk>/edit/', views.post_edit, name='post_edit'),
    path('post/delete/<int:pk>/', views.delete_post, name='delete-post'),
    path('user/', views.UserList.as_view()),
    path('user/<int:pk>', views.UserDetails.as_view()),
    path('blog_details', views.Blogs_list.as_view(), name='blog-detail'),
    path('blog_details/<int:pk>', views.Blogs_details.as_view(), name='blog-detail'),
]

front_end/urls.py
from django.contrib import admin
from django.urls import path, include
from .views import anime_detail
from django.conf.urls import url
from . import views

app_name = 'front_end'

urlpatterns = [
    path('anime/<int:pk>/', views.anime_detail, name='anime-detail'),
    path('anime/', views.anime_list),
    path('anime/search/', views.anime_search, name='anime-search'),
    path('anime/list/', views.anime_list, name='anime-list'),
    path('anime/reviews/', views.anime_review, name='anime-review'),
    path('anime/reviews/<int:pk>/', views.post_review, name='post-review'),
    path('anime/reviews/delete/<int:pk>/', views.delete_review, name='delete-review'),
    path('profile/reviews/edit/<int:pk>/', views.edit_review, name='edit-review'),
    path('', views.anime_carousal, name='home'),
    path('register/', views.register, name='register'),
    path('login/', views.user_login, name='login'),
    path('logout/', views.user_logout, name='logout'),
    path('profile/', views.user_profile, name='user-profile'),
    path('profile/watch_list/', views.watch_list, name='watch-list'),
    path('profile/<int:pk>/', views.profile, name='profile'),
    ]

front_end/models.py
from django.db import models
from django.contrib.auth.models import User

class UserProfile(models.Model):
    user = models.OneToOneField(User,on_delete=models.CASCADE)
    profile_pic = models.CharField(max_length=200)

    def __str__(self):
        return self.user.username

    

front_end/forms.py
from django import forms
from django.contrib.auth.models import User
from reviews.models import Review

# creating model form that wil connect to user model
class SignUpForm(forms.ModelForm):
    password= forms.CharField(widget=forms.PasswordInput)
    confirm_password=forms.CharField(widget=forms.PasswordInput())
    class Meta():
        model = User
        fields = ('username','email','password')

# checking password ,confirm password are same
    def clean(self):
        cleaned_data = super(SignUpForm, self).clean()
        password = cleaned_data.get("password")
        confirm_password = cleaned_data.get("confirm_password")

        if password != confirm_password:
            raise forms.ValidationError(
                "password and confirm_password does not match"
            )

class PostReviewForm(forms.ModelForm):
    class Meta():
        model = Review
        fields = ('content',)

front_end/views.py
from django.shortcuts import render, get_object_or_404
import json
import urllib
from urllib.request import urlopen
# for authentication and login we are importing the following
from django.shortcuts import render, redirect
from front_end.forms import SignUpForm, PostReviewForm
from django.urls import reverse
from django.contrib.auth.decorators import login_required
from django.http import HttpResponseRedirect, HttpResponse
from django.contrib.auth import authenticate,login,logout
from animedata.models import Anime, Animelist
from blog.models import Post
from django.core.validators import URLValidator
import re
from django.core.exceptions import ValidationError
from reviews.models import Review
from django.core.paginator import EmptyPage, PageNotAnInteger, Paginator
from django.utils import timezone

# ---------------------------------------------------------------
# base html when we enter the address    http:127.0.0.1:8000
def home(request):
    return render(request,'front_end/base.html')


# user registration
def register(request):
    registered = False
    if request.method == 'POST':
        user_form = SignUpForm(data=request.POST)
        if user_form.is_valid():
            user = user_form.save()
            user.set_password(user.password)
            user.save()

            registered = True
        else:
            print(user_form.errors)
    else:
        user_form = SignUpForm()

    return render(request,'front_end/register.html',{'user_form':user_form,'registered':registered})


# user login page
def user_login(request):
    if request.method== 'POST':
        print("i am inside post")
        username = request.POST.get('username')
        password = request.POST.get('password')
        print(username,password)
        user = authenticate(username=username,password=password)
        print(user)
        if user:
            if user:
                    login(request,user)
                    return redirect('front_end:home')
            else:
                return HttpResponse('User doesnot exists')
        else:
            message = "user name and password is invalid"
            return render(request,'front_end/login.html',{'context':message})
    else:
        return render(request,'front_end/login.html')

# user profile page
def user_profile(request):
    user_data = json.load(urlopen("http://127.0.0.1:8000/api/users/{}".format(request.user.id)))
    reviews = Review.objects.values('anime__title', 'anime__image_url', 'content', 'created', 'id').filter(user_id=request.user.id).order_by('-created')
    posts = Post.objects.filter(author_id=request.user.id).order_by('-published_date')
    return render(request, 'front_end/profile.html', {'user_data': user_data, 'reviews': reviews, 'posts': posts, 'user_profile': True})

def profile(request, pk):
    user_data = json.load(urlopen("http://127.0.0.1:8000/api/users/{}".format(pk)))
    reviews = Review.objects.values('anime__title', 'anime__image_url', 'content', 'created').filter(user_id=pk).order_by('-created')
    posts = Post.objects.filter(author_id=request.user.id).order_by('-published_date')
    return render(request, 'front_end/profile.html', {'user_data': user_data, 'reviews': reviews, 'posts': posts, 'user_profile': False})

# after login user redirecting to mainpage page
def mainpage(request):
    print('i am in mainpage')
    return render(request, 'front_end/userpage.html')


# logout redirects to home page
@login_required
def user_logout(request):
    logout(request)
    return HttpResponseRedirect(reverse('front_end:home'))


# anime detail
def anime_detail(request, pk):
    anime_reviews = Review.objects.values('content', 'created', 'user__username').filter(anime_id=pk).order_by('-created')
    anime_data = json.load(urlopen("http://127.0.0.1:8000/api/anime/{}".format(pk)))
    characters_data = json.load(urlopen("https://api.jikan.moe/v3/anime/{}/characters_staff".format(pk)))
    return render(request, 'front_end/anime_detail.html', {'anime_detail' : anime_data, 'characters_data': characters_data, 'reviews': anime_reviews})

# anime list
def anime_list(request):
    anime_data = json.load(urlopen("http://127.0.0.1:8000/api/anime/"))
    try:
        search_variable = request.POST['url']
        anime_data = json.load(urlopen("{}".format(search_variable)))
    except:
        pass
    return render(request, 'front_end/anime_list.html', {'anime_data' : anime_data,})

def anime_search(request):
    try:
        search_variable = request.GET['search']
        search_variable = search_variable.replace(' ', '+')
        anime_data = json.load(urlopen("http://127.0.0.1:8000/api/anime?search={}".format(search_variable)))
    except:
        pass
    try:
        search_variable = request.POST['url']
        anime_data = json.load(urlopen("{}".format(search_variable)))
    except:
        pass
    
    return render(request, 'front_end/anime_search.html', {'anime_data': anime_data})


def anime_carousal(request):
    anime = Anime.objects.all()
    anime_10 = []
    for anime_item in anime:
        regex = re.compile(
            r'^(?:http|ftp)s?://'  # http:// or https://
            r'(?:(?:[A-Z0-9](?:[A-Z0-9-]{0,61}[A-Z0-9])?\.)+(?:[A-Z]{2,6}\.?|[A-Z0-9-]{2,}\.?)|'  # domain...
            r'localhost|'  # localhost...
            r'\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}|'  # ...or ipv4
            r'\[?[A-F0-9]*:[A-F0-9:]+\]?)'  # ...or ipv6
            r'(?::\d+)?'  # optional port
            r'(?:/?|[/?]\S+)$', re.IGNORECASE)
        if(regex.search(anime_item.image_url) != None):
            anime_10.append(anime_item)


    return render(request, 'front_end/carousal.html', {'anime': anime_10[:10]})

# fetch all reviews   
def anime_review(request):
    reviews = Review.objects.values('anime__title', 'anime__image_url', 'content', 'created', 'user__username', 'user__id').order_by('-created')
    paginator = Paginator(reviews, 10) # Show 25 contacts per page
    page = request.GET.get('page')
    contacts = paginator.get_page(page)
    print(contacts.object_list)
    return render(request, 'front_end/anime_reviews.html', {'reviews': contacts})

@login_required
def post_review(request, pk):
    registered = False
    review = Review.objects.get(user=request.user.id, anime_id=pk)
    anime = get_object_or_404(Anime, anime_id=pk)
    if not review and request.method == 'POST':
        post_form = PostReviewForm(data=request.POST)
        if post_form.is_valid():
            post = post_form.save(commit=False)
            post.user = request.user
            post.modified = timezone.now()
            post.anime_id = pk
            post.save()
            registered = True
        else:
            print(post_form.errors)
    elif review:
        return render(request,'front_end/post_review.html', {'reviewed':True, 'review_id': review.id})
    user_form = PostReviewForm()
    return render(request,'front_end/post_review.html',{'user_form':user_form,'registered':registered})

#delete a review
@login_required
def delete_review(request, pk):
    review = get_object_or_404(Review, pk=pk)
    if review.user == request.user:
        print('working')
        Review.objects.filter(id=pk).delete()
        return HttpResponseRedirect(reverse('front_end:user-profile'))
    return HttpResponseRedirect(reverse('front_end:user-profile'))

@login_required
def edit_review(request, pk):
    post = get_object_or_404(Review, pk=pk)
    registered = False
    if request.method == "POST":
        form = PostReviewForm(request.POST, instance=post)
        if form.is_valid():
            post = form.save(commit=False)
            post.user = request.user
            post.modified = timezone.now()
            post.save()
            registered = True
            return redirect('front_end:user-profile')
        else:
            return redirect('404.html')
    else:
        user_form = PostReviewForm(instance=post)
    return render(request,'front_end/post_review.html',{'user_form':user_form,'registered':registered})

# watch_list
@login_required
def watch_list(request):
    username =request.user
    anime_list = Animelist.objects.values('anime__title', 'anime__image_url', 'user__username', 'status').filter(user_id=request.user.id).order_by('anime__title')
    paginator = Paginator(anime_list, 10) # Show 25 contacts per page
    page = request.GET.get('page')
    contacts = paginator.get_page(page)
    return render(request,'front_end/watch_list.html',{'anime_list':contacts, 'username': username})    

front_end/templates/front_end/anime_home.html
{% extends 'front_end/base.html' %}
{% load staticfiles %}
% load static %}
{% block style %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block body %}
<body class='body'>
</body>
{% endblock %}

front_end/templates/front_end/anime_list.html
{% extends 'front_end/base.html' %}
{% load staticfiles %}
% load static %}
{% block style %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block title %}
Anime List
{% endblock title %}
{% block body %}
<body class='body'>
<div class='anime-search-results'>
    <div>
        <h5 class='search-heading'>Anime List:</h5>
    </div>
    {% for result in anime_data.results %}
    <a href='{% url "front_end:anime-detail" result.anime_id %}'>
    <div class='search-result-anime'>
        <div class='anime-img'>
            <img src="{{ result.image_url }}">
        </div>
        <div class='anime-details'>
            <p>{{ result.title }}<br>
            Episode(s): {{ result.episodes }}<br>
            Studio: {{ result.studio }}<br>
            {{ result.aired_string }}<br>
            </p>
        </div>
    </div>
    </a>
    {% endfor %}
    <div class='page-navigation'>
        {% if anime_data.previous %}
            <form action='{% url "front_end:anime-list" %}' method='POST'>
                {% csrf_token %}
                <input type='hidden' name='url' value='{{ anime_data.previous }}' />
                <input type="submit" value="previous">
            </form>
        {% endif %}
        {% if anime_data.next %}
            <form action='{% url "front_end:anime-list" %}' method='POST'>
                {% csrf_token %}
                <input type='hidden' name='url' value='{{ anime_data.next }}' />
                <input type="submit" value="next">
            </form>
        {% endif %}
    </div>
</div>
</body>
{% endblock %}

front_end/templates/front_end/anime_reviews.html
{% extends 'front_end/base.html' %}
{% load staticfiles %}
% load static %}
{% block style %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block title %}
{{ anime_detail.title }}
{% endblock title %}
{% block body %}
<body class='body'>
    {% for contact in reviews %}
    {# Each "contact" is a Contact model object. #}
    {{ contact.full_name|upper }}<br>
    {% endfor %}
    <h5 class='profile-name'>Reviews:</h5>
    {% for review in reviews.object_list %}
        <div class='review-container'>
            <div class='review-header'>
                <div class='header-img'>
                    <img height='72' width='72' src={{ review.anime__image_url }}>
                </div>
                <div  class='header-text'>
                    <h5>Anime: {{ review.anime__title }}</h5>
                    <p>Created by: <a href="{% url 'front_end:profile' review.user__id %}">{{ review.user__username }}</a><br>
                    Created on: {{ review.created }}</p>
                </div>
            </div>
            <div>
                <p>{{ review.content }}</p>
            </div>
            {% if not forloop.last %}
                <hr>
            {% endif %}
        </div>
    {% endfor %}

    <div class="pagination review-container">
        <span class="step-links">
            {% if reviews.has_previous %}
                <a href="?page=1">&laquo; first</a>
                <a href="?page={{ reviews.previous_page_number }}">previous</a>
            {% endif %}

            <span class="current">
                Page {{ reviews.number }} of {{ reviews.paginator.num_pages }}.
            </span>

            {% if reviews.has_next %}
                <a href="?page={{ reviews.next_page_number }}">next</a>
                <a href="?page={{ reviews.paginator.num_pages }}">last &raquo;</a>
            {% endif %}
        </span>
    </div>

</body>


{% endblock %}

front_end/templates/front_end/anime_search.html
{% extends 'front_end/base.html' %}
{% load staticfiles %}
% load static %}
{% block style %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block title %}
Search Results
{% endblock title %}
{% block body %}
<body class='body'>
<div class='anime-search-results'>
    <div>
        <h5 class='search-heading'>Search Results:</h5>
    </div>
    {% if anime_data.results %}
    {% for result in anime_data.results %}
    <a href='{% url "front_end:anime-detail" result.anime_id %}'>
    <div class='search-result-anime'>
        <div class='anime-img'>
            <img src="{{ result.image_url }}">
        </div>
        <div class='anime-details'>
            <p>{{ result.title }}<br>
            Episode(s): {{ result.episodes }}<br>
            Studio: {{ result.studio }}<br>
            {{ result.aired_string }}<br>
            </p>
        </div>
    </div>
    </a>
    {% endfor %}
    {% else %}
    <h1>Oops</h1>
    <h2>We can't seem to find the search you are looking for.</h2>
    <h5>404 Not Found</h5>
    <div class='filler'>
    </div>
    {% endif %}
    <div class='page-navigation'>
        {% if anime_data.previous %}
            <form action='{% url "front_end:anime-search" %}' method='POST'>
                {% csrf_token %}
                <input type='hidden' name='url' value='{{ anime_data.previous }}' />
                <input type="submit" value="previous">
            </form>
        {% endif %}
        {% if anime_data.next %}
            <form action='{% url "front_end:anime-search" %}' method='POST'>
                {% csrf_token %}
                <input type='hidden' name='url' value='{{ anime_data.next }}' />
                <input type="submit" value="next">
            </form>
        {% endif %}
    </div>
</div>
</body>
{% endblock %}

front_end/templates/front_end/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en" dir="ltr">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
  <link href="http://allfont.net/allfont.css?fonts=agency-fb" rel="stylesheet" type="text/css" />
  <link rel="stylesheet" href="{% static 'front_end/css/base.css' %}">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
   <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta/css/bootstrap.min.css" integrity="sha384-/Y6pD6FV/Vv2HJnA6t+vslU6fwYXjCFtcEpHbNJ0lyAFsXTsjBbfaDjzALeQsN6M" crossorigin="anonymous">
  {% block style %}
  {% endblock style%}
  <title>
    {% block title %}
    {% endblock title %}
  </title>
</head>
<body>
  <div class="main_container">
    <!-- header top logo -->
    <div class="anime_logo">
      <div class="logo">
      <a href="{% url 'front_end:home' %}"><span class="logo">Anime Central</span></a>
        </div>
      {% if user.is_authenticated %}
      <div class="anime_buttons_login">
      <a href="{% url 'front_end:logout' %}"><button class="login">Logout</button></a></li>
        </div>
      {% else %}
        <div class="anime_buttons_logout">
      <a href="{% url 'front_end:register' %}"><button class="register">Register</button></a></li>
        </div>
        <div class="anime_buttons_register">
      <a href="{% url 'front_end:login' %}"><button class="login">Login</button></a></li>
        </div>
      {% endif %}
    </div>
    <!-- nav bar under logo -->
    <div class="top_nav" id='top_nav' style="margin-bottom: 0px;">
        <div class="search-container">
        <form action='{% url "front_end:anime-search" %}' method='GET'>
        <input type="text" placeholder="Search" name="search">
      </form>
    </div>
        <span id='menu'><img src='data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABQAAAAUCAYAAACNiR0NAAAAGXRFWHRTb2Z0d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAAAC9JREFUeNpi/P//PwM1AQsQU9VEJgYqg8FvICgMGUeel0eTzWiyGU02Qz/ZAAQYAOPcBjEdYroKAAAAAElFTkSuQmCC'  /></span>
        <nav id='navbar' style="display: none;">
        <ul class="navbar navbar-left">
        <li><a href="{% url 'front_end:anime-list' %}">Anime</a></li>
        <li id='li_menu_blog'style="margin-left: 70px;"><a href="{% url 'blog:post_list' %}">Blog</a></li>
            <li id='li_menu_reviews' style="margin-left: 70px;"><a href="{% url 'front_end:anime-review' %}">Reviews</a></li>
            </ul>
            </nav>

    </div>
    <!--body  -->
    <div class="body_block">
    <body>
      {% block body %}
      {% endblock body %}
      </body>
    </div>
  <!--footer  -->
  <div class='filler-200'></div>
  <div class="anime_bottom">
      <div class="follow_us">
      <p>Follow Us:</p>
      <a href="#"><img src="{% static "front_end/assets/facebook.png" %}" alt=""> </a>
      <a href="#"><img src="{% static "front_end/assets/instagram.png" %}" alt=""> </a>
    </div>
  </div>

</div>
    </body>
</html>
<script>
    document.getElementById('menu').addEventListener('click', function () {
        var nav = document.getElementsByTagName('nav')[0];
        if (nav.style.display == 'block') {
            nav.style.display = 'none';
        } else {
            nav.style.display = 'block';
            nav.style.margin = "10px";
        }

        var bar = document.getElementById('top_nav');
        if(bar.style.marginBottom == '50px') {
            bar.style.marginBottom = '0px';
        }
        else {
            bar.style.marginBottom = '50px';
        }

        var bar = document.getElementById('li_menu_blog');
            bar.style.marginLeft = '0px';
        var bar = document.getElementById('li_menu_reviews');
            bar.style.marginLeft = '0px';

    }, false);
</script>

front_end/templates/front_end/carousal.html
{% extends 'front_end/base.html' %}
{% load staticfiles %}
{% load static %}
{% block style %}
<link rel="stylesheet" href="{% static 'css/carousal.css' %}">
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>

    <title>HOME PAGE</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<link href="https://fonts.googleapis.com/css?family=Josefin+Sans:300,400,700&subset=latin-ext" rel="stylesheet">
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block body %}
<body class='body'>
    <!--Item slider text-->
    <div class="container">
        <div class="row" id="slider-text">
            <div class="col-md-6">
                <h2>Top Animes</h2>
            </div>
        </div>
    </div>

    <div class="container-fluid">

        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-12">
                <div class="carousel multi-item-carousel slide" id="myCarousel" data-ride="carousel">
                    <div class="carousel-inner">
                        {% block content %}
                        {% for anime_item in anime %}
                        <div class="item {% if forloop.first %} active  {%     endif %}">
                            <div class="col-xs-12 col-sm-6 col-md-2">
                                <div>
                                    <a href="{% url 'front_end:anime-detail' anime_item.anime_id %}"><img height="140" src="{{ anime_item.image_url }}"
                                                    class="img-responsive center-block"></a>
                                </div>
                                <div>
                                    <h4 class="text-center" style="margin-bottom:0px">{{ anime_item.title }}</h4>
                                </div>
                            </div>
                        </div>
                        {% endfor %}
                        {% endblock %}
                    </div>
                </div>
                <div id="slider-control">
                    <a class="left carousel-control" href="#myCarousel" data-slide="prev"><i
                            class="glyphicon glyphicon-chevron-left"></i></a>
                    <a class="right carousel-control" href="#myCarousel" data-slide="next"><i
                            class="glyphicon glyphicon-chevron-right"></i></a>
                </div>
            </div>
        </div>
    </div>
    <script type="text/javascript">
        $(document).ready(function(){

    $('#myCarousel').carousel({ interval: 3000 });

    $('.multi-item-carousel .item').each(function(){
    var itemToClone = $(this);

    for (var i=1;i<6;i++) {
    itemToClone = itemToClone.next();

    if (!itemToClone.length) {
    itemToClone = $(this).siblings(':first');
    }

    itemToClone.children(':first-child').clone()
    .addClass("cloneditem-"+(i))
    .appendTo($(this));
    }
    });
    });


    </script>
    </body>

{% endblock %}

front_end/templates/front_end/profile.html
{% extends 'front_end/base.html' %}
{% load staticfiles %}
{% load static %}
{% block style %}
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
<link rel='stylesheet' href="{% static 'css/main.css' %}">
{% endblock style %}
{% block title %}
{{ anime_detail.title }}
{% endblock title %}
{% block body %}
<body class='body'>
    <h4 class='profile-name'>{{ user_data.username }}</h4>
    {% if reviews %}
        <h5 class='section-name'>Reviews:</h5>
        {% for review in reviews %}
        <div class='review-container'>
            <div class='review-header'>
                <div class='header-img'>
                    <img height='100' width='100' src={{ review.anime__image_url }}>
                    {% if user_profile %}
                    <div>
                        <a class='edit-btn' href="{% url 'front_end:edit-review' review.id %}">Edit</a>
                        <a class='delete-btn' href="{% url 'front_end:delete-review' review.id %}">Delete</a>
                    </div>
                    {% endif %}
                </div>
                <div  class='header-text'>
                    <h5>Anime: {{ review.anime__title }}</h5>
                    <p>Created on: {{ review.created }}<br>
                    <br>
                    Review: {{ review.content }}</p>
                </div>
            </div>
            {% if not forloop.last %}
                <hr>
            {% endif %}
            
        </div>
        
        {% endfor %}
    {% endif %}
    {% if posts %}
        <h5 class='section-name'>Blogs:</h5>
        {% for post in posts %}
        <div class='post-container'>
            <div class='post-header'>
                <div class='header-img'>
                    <img height='144' src="https://myanimelist.cdn-dena.com/images/anime/12/35893.jpg"/>
                    {% if user_profile %}
                    <div>
                        <a class='edit-btn' href="{% url 'blog:post_edit' post.id %}">Edit</a>
                        <a class='delete-btn' href="{% url 'blog:delete-post' post.id %}">Delete</a>
                    </div>
                    {% endif %}
                </div>
                <div  class='header-text'>
                    <h5>Title: {{ post.title }}</h5>
                    <p>Created on: {{ post.published_date }}<br>
                    Author: {{ post.author }}</p>
                    <p>{{ post.text }}</p>
                </div>
            </div>
            {% if not forloop.last %}
                <hr>
            {% endif %}
        </div>
        
        {% endfor %}
    {% endif %}

</body>


{% endblock %}